View Issue Details

IDProjectCategoryView StatusLast Update
0012414ScribusOS-MacOSXpublic2016-05-19 19:50
ReporterKunda Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status confirmedResolutionopen 
PlatformMacOSOSXOS Version10.8.5
Product Version1.5.0svn 
Target Version1.6 milestoneFixed in Version 
Summary0012414: Qt Touchpad event: OSX two finger tap on mouse trackpad triggers a scroll event along with right click menu
DescriptionNormally, on MacOSX a 2 finger tap on the trackpad triggers a mouse menu pop-up. When triggering this in Scribus 1.5svn there is an additional 'unwanted' scroll down event.
Steps To Reproduce2 finger tap on the canvas
or an open .sla
Additional InformationRelated to 0012384 <-- there is an attached video clip that shows this behavior
r19245 on OSX 10.8.5 using Homebrew built Qt5.3
MrB (in an IRC disccusion) has been able to reproduce this
Tagstrackpad
PatchNo

Relationships

related to 0012078 new Text size when manipulated with trackpad responds opposite of intended result with each scroll 
related to 0012384 closed Right click on single or Grouped text boxes in master page makes canvas jump and doesn't trigger correct right click menu 
related to 0013162 closed [OSX] 4 finger swipe triggers: QGestureManager::deliverEvent: could not find the target for gesture 

Activities

kumafoto

2014-06-19 00:55

reporter   ~0032239

Last edited: 2014-06-19 01:04

View 2 revisions

i can concur. it does the same thing to me
 i'm on scribus 1.5.0svn on a mac os X 10.9.2

Kunda

2014-06-24 21:40

manager  

Kunda

2014-06-24 21:41

manager   ~0032288

Preferences > User-Interface > Interactivity >wheeljump
I set this to a low number and it became less of an issue. It's not fixed but it'll do.
If I set wheeljump to 0 then I can't use the mouse.

Kunda

2014-07-09 22:48

manager   ~0032642

MrB mentioned on IRC that the direction to take this issue is examining Qt Touchpad events. Initial experiments didn't yield any results.

Kunda

2015-02-01 15:20

manager   ~0034411

Assigning to 1.6 Milestone.

Issue History

Date Modified Username Field Change
2014-06-18 23:58 Kunda New Issue
2014-06-19 00:55 kumafoto Note Added: 0032239
2014-06-19 01:04 kumafoto Note Edited: 0032239 View Revisions
2014-06-24 21:40 Kunda File Added: Preferences-UserInterface-Interactivity-wheeljump.png
2014-06-24 21:41 Kunda Note Added: 0032288
2014-06-24 21:45 Kunda Relationship added related to 0012384
2014-07-09 22:48 Kunda Note Added: 0032642
2014-07-09 22:48 Kunda Status new => confirmed
2014-10-08 18:37 Kunda Category Mac OS => OS-MacOSX
2015-01-29 23:01 Kunda Patch => No
2015-01-29 23:01 Kunda Summary OSX two finger tap on mouse trackpad triggers a scroll event along with right click menu => Qt Touchpad event: OSX two finger tap on mouse trackpad triggers a scroll event along with right click menu
2015-02-01 15:20 Kunda Note Added: 0034411
2015-02-01 15:20 Kunda Target Version => 1.6 milestone
2015-10-05 06:42 Kunda Relationship added related to 0013162
2015-11-15 13:43 Kunda Tag Attached: trackpad
2016-05-19 19:50 Kunda Relationship added related to 0012078